/*
 *  Draco Econometrics
 *  Copyright (C) 2007-2009 Approximatrix, LLC
 *  http://www.approximatrix.com
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.approximatrix.draco.fit.ui.statistics;

import java.util.ArrayList;
import java.util.List;

import javax.swing.JMenu;
import javax.swing.JMenuItem;

import com.approximatrix.draco.fit.statistics.ExtendedStatistic;

public class ExtendedStatisticsMenu extends JMenu {

	private static final String LABEL = "Extended Statistics";
	
	public ExtendedStatisticsMenu() {
		super(LABEL);
	}
	
	public List<ExtendedStatistic> getStatistics() {
		ArrayList<ExtendedStatistic> list = new ArrayList<ExtendedStatistic>();
		
		for(int i=0;i<this.getItemCount();i++) {
			JMenuItem item = this.getItem(i);
			if(item instanceof ExtendedStatisticMenuItem && item.isSelected()) {
				list.add(((ExtendedStatisticMenuItem)item).getStatistic());
			}
		}
		return list;
	}
}
